itslog
======

`itslog` is a simple logging system. You can send it a payload that looks like
this:

    {
        "level" : 1,
        "namespace": "ren.stimpy",
        "payload": {
            "type": "arbitrary object",
            "wait, any type?": [
                "I am",
                "very serious"
            ],
            "pi": 3.142
        }
    }

and `itslog` will gracefully shove it into a postgres database for future
retrieval. It is literally the simplest program of this variety one could
possibly imagine.

Simply provide it with a `level`, a `namespace`, and a `payload`, and `itslog`
will do the rest. Please note that `payload` can be any valid json object.

future work
-----------

implement a (very simple) query api, supporting filtering based on:

- log level
- namespace
- date range
